Page MenuHomePhabricator

Document how the Developer Relations team works
Closed, ResolvedPublic

Description

In one of the Developer-Advocacy meetings, it was said that our planning process should be documented for clarity. We have a roadmap, team and individual quarterly goals, a team project workboard, monthly sprints, columns in each of these workboards... It is actually simple... but maybe not always simple, and definitely not simple for a newcomer.

Event Timeline

Qgil created this task.Sep 29 2015, 4:47 PM
Qgil claimed this task.
Qgil raised the priority of this task from to Normal.
Qgil updated the task description. (Show Details)
Qgil added a subscriber: Qgil.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 29 2015, 4:47 PM
Aklapper updated the task description. (Show Details)Sep 29 2015, 7:46 PM
Aklapper set Security to None.

Gave this a quick shot, see the task summary. Feel free to edit/adjust/ignore/copy.

Qgil added a comment.Sep 30 2015, 8:11 PM

Thank you! What a nice surprise. I will polish your text and paste it in our wiki page. However, reading this documentation helped me writing down an idea to simplify our roadmap that has been floating around in the past weeks: T101099#1690826

Qgil raised the priority of this task from Normal to High.Nov 3 2015, 4:41 PM
Qgil added a comment.Nov 4 2015, 3:12 PM

https://www.mediawiki.org/wiki/Developer_Relations/Planning#Roadmap drafted, welcoming review. I have added the two ToDo questions in our team meeting agenda, but feel free to comment here if you wish.

Qgil added a comment.Nov 4 2015, 3:13 PM

... and while doing that, I closed T101099: Developer Relations Roadmap.

Qgil lowered the priority of this task from High to Normal.Nov 25 2015, 12:34 PM

I have documented the part related to quarterly goals, which was the urgent one (see T119387).

https://www.mediawiki.org/wiki/Developer_Relations/Planning#Quarterly_goals

I plan to finish the rest in December.

Qgil moved this task from Backlog to Doing on the DevRel-December-2015 board.Dec 3 2015, 12:34 PM
Qgil raised the priority of this task from Normal to High.Jan 12 2016, 1:35 AM
Qgil moved this task from Backlog to Ready to Go on the DevRel-January-2016 board.Jan 12 2016, 1:49 AM
Aklapper added a comment.EditedFeb 10 2016, 5:42 PM

Answering the two ToDo items on-wiki:

We don't have a high level roadmap. Should we? The current roadmap is not providing a quick picture of our future work, or a clear priority of tasks.

No. If we want to target more future work, I'd rather advocate using the quarterly columns in https://phabricator.wikimedia.org/tag/developer-relations/. Or create a "Proposed: 2017" column and break it down into quarterly columns at some point later in 2016. Regarding priority, we could even use the sorting in columns and not drag cards to random places. :D

We should highlight here the goals/tasks directly connected with the WMF annual plan. Should we?

Add a subsection bullet list "Tasks related to the WMF Annual Plan" under https://www.mediawiki.org/wiki/Developer_Relations/Planning#Roadmap once T124019 is sorted out.

Aklapper added a comment.EditedFeb 10 2016, 5:42 PM

I've done anything else in https://www.mediawiki.org/w/index.php?title=Developer_Relations%2FPlanning&type=revision&diff=2045777&oldid=2022751

@Qgil: So I think we are pretty done here. If you agree, please add a ToDo item in T124019 (or T115345?) (list Annual Plan stuff under https://www.mediawiki.org/wiki/Developer_Relations/Planning#Roadmap ), remove the "ToDo" section and the Draft header on-wiki, and resolve this task. kthxbye. ;)

Aklapper moved this task from Backlog to Doing on the DevRel-February-2016 board.Feb 10 2016, 5:47 PM

I also killed mw:Developer_Relations#Planning by linking to the /Planning subpage. It was just duplication and I dislike updating several places manually with the very same data.
Feel very free to revert me.

Qgil closed this task as Resolved.Feb 11 2016, 11:20 AM

Oooh, thank you very much!

@Qgil: So I think we are pretty done here.

Agreed.

If you agree, please add a ToDo item in T124019 (or T115345?) (list Annual Plan stuff under https://www.mediawiki.org/wiki/Developer_Relations/Planning#Roadmap ), remove the "ToDo" section and the Draft header on-wiki, and resolve this task. kthxbye. ;)

What I will do instead is to consolidate all these team annual plans, goals, and processes under https://meta.wikimedia.org/wiki/Technical_Collaboration

Since the Developer Relations part is covered, I will resolve this task. Again, thank you very much.